Subject: Re: bug#66964: Request for merging "mesa-updates" branch

From: Kaelyn <[email-masked]>
Date: Tue, 14 Nov 2023 20:36:06 +0000

Hi John,

On Tuesday, November 14th, 2023 at 12:11 PM, John Kehayias <[email-masked]> wrote:

> 
> Hi Kaelyn,
> 
> On Sun, Nov 12, 2023 at 08:01 PM, Kaelyn wrote:
> 
> > Hi,
> > 
> > I've just submitted a pair of patches for the mesa-updates branch:
> > https://issues.guix.gnu.org/67136 updating xorgproto and
> > xorg-server-xwayland. The xorgproto is a high-impact update (guix
> > refresh reports rebuilding 8710 packages would ensure 22871 dependent
> > packages are rebuilt), but required to update to the latest xwayland
> > as xwayland requires a newer version of presentproto than in the
> > current guix xorgproto package. The updating and ungrafting of mesa
> > and a number of X.org related libraries seemed like a good time (and
> > place) to update xorgproto as well.
> > 
> > Cheers,
> > Kaelyn
> 
> 
> Thanks for the patches. I think mesa-updates in this current iteration
> is set on builds (ended up being a lot more due to the ungrafting but
> seems done on our main architectures for several days now). I had to
> make some other changes to fix some larger breakages but at this point I
> think it will just be taking us back in the build queue too much.
> 
> So I think it would make more sense on the next big rebuild, either
> core-updates (talk about doing that with more ungrafts right now) or
> I'll do mesa-updates again when the next release of mesa hits. Or maybe
> it makes sense to just do another branch for xwayland?
> 
> Open to ideas! I'll send a separate message soon on the status of
> mesa-updates and see what people think, but my thought was to merge this
> to master in the next day or so if there are no objections.
> 
> Thanks!
> John

No worries! I realize I was a little late to the party for the mesa-updates branch (had some ongoing technical issues), so if core-updates is still early enough in the process I think it would be good to push the changes to that branch. The current xwayland is pretty old, and the updated version has quite a few CVEs fixed in comparison (just https://www.phoronix.com/news/X.Org-Halloween-Bugs-2023 and https://www.phoronix.com/news/X.Org-Server-Holiday-2022 list 8 CVEs fixed between xwayland 21.1.3 and 23.2.2).

Cheers,
Kaelyn